import { jsx as _jsx } from "@stencil/core/jsx-runtime";
import { Host } from "@stencil/core";
export class Spinner {
    el;
    // MARK: Props
    size = "m";
    // MARK: Render
    render() {
        const { size } = this;
        return (_jsx(Host, { size: size, part: "root", children: _jsx("dds-icon", { "aria-label": "Loading", role: "status", name: "loader-circle", size: size, part: "spinner" }, '66ff94842c778643433e2c1a6510bfb7a0895d1a') }, 'b5bee4ef03cb1aaebab5a9a6119695fa9c2e43ee'));
    }
    static get is() { return "dds-spinner"; }
    static get encapsulation() { return "shadow"; }
    static get originalStyleUrls() {
        return {
            "$": ["../reset.css", "spinner.css"]
        };
    }
    static get styleUrls() {
        return {
            "$": ["../reset.css", "spinner.css"]
        };
    }
    static get properties() {
        return {
            "size": {
                "type": "string",
                "mutable": true,
                "complexType": {
                    "original": "\"2xs\" | \"xs\" | \"s\" | \"m\" | \"l\" | \"xl\"",
                    "resolved": "\"2xs\" | \"l\" | \"m\" | \"s\" | \"xl\" | \"xs\"",
                    "references": {}
                },
                "required": false,
                "optional": false,
                "docs": {
                    "tags": [],
                    "text": ""
                },
                "getter": false,
                "setter": false,
                "reflect": false,
                "attribute": "size",
                "defaultValue": "\"m\""
            }
        };
    }
    static get elementRef() { return "el"; }
}
